%define prefix /usr/X11R6

Name:		wmakerconf
Version:	2.6.2
Release:	4mdk
Summary:	GTK-based configuration tool for Window Maker
Group:		Graphical desktop/Window Maker
BuildRequires: libPropList-devel XFree86-devel xpm-devel libjpeg-devel libpng-devel libtiff-devel libungif-devel WindowMaker zlib-devel
Copyright:	GPL

Source:		%{name}-%{version}.tar.bz2

Icon:		wmakerconf.xpm
Url:		http://ulli.linuxave.net/wmakerconf/
Requires:	WindowMaker >= 0.62.1, libPropList >= 0.10.1, gtk+ >= 1.2, perl, gzip, lynx
BuildRoot:	%{_tmppath}/%{name}-%{version}-root


%description
Wmakerconf is a GTK+ based graphical user interface configuration tool for the
Window Maker window manager. Wmakerconf supports all Window Maker attributes.

Wmakerconf provides a font selection browser, a pixmap preview browser, a color
selection dialog, a shortcut dialog, and a file selection dialog. Wmakerconf
also provides tooltips in multiple languages.

If you use the Window Maker window manager, you should probably install this
package, because it will make configuration a little easier.

%prep

%setup -q

%build
# (Dadou) - Don't use macros for ./configure
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} \
	--with-wmakerprefix=%{prefix} \
	--with-wmakerdataprefix=%{prefix}/share/WindowMaker
%make

%install
rm -rf $RPM_BUILD_ROOT
perl -p -i -e "s|GNOMEDIR =.*|GNOMEDIR = $RPM_BUILD_ROOT/usr/share/gnome/apps/Settings|" Makefile
# (Dadou) - Don't use macros here
make install prefix=$RPM_BUILD_ROOT%prefix

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO MANUAL
%prefix/bin/*
%prefix/share/wmakerconf/*

%changelog
* Sun Oct 01 2000 David BAUDENS <baudens@mandrakesoft.com> 2.6.2-4mdk
- Clean after build
- Use %%make and %%find_lang macros

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.6.2-3mdk
- automatically added BuildRequires

* Mon Jul 09 2000 David BAUDENS <baudens@mandrakesoft.com> 2.6.2-2mdk
- Build with correct options

* Sun Jul 02 2000 David BAUDENS <baudens@mandrakesoft.com> 2.6.2-1mdk
- 2.6.2
- Cleanup spec
- Fix build as user
- Little fix in Description

* Tue Apr 04 2000 David BAUDENS <baudens@mandrakesoft.com> 2.6.1-2mdk
- Fix Group

* Tue Apr 04 2000 David BAUDENS <baudens@mandrakesoft.com> 2.6.1-1mdk
- 2.6.1

* Tue Mar 14 2000 David BAUDNS <baudens@mandrakesoft.com> - 2.5-1mdk
- 2.5
- Use %%{_tmppath} for BuildRoot
- Use new Groups
- Fix some typos in fr.po

* Mon Dec 27 1999 - David BAUDENS <baudens@mandraksoft.com>
- Add patch-2.4
- Add icon from Ullrich HAFNER <hafner@bigfoot.de>
- Update URL
- Update summary
- Update Requires
- Fix %%{prefix}

* Mon Dec 06 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 2.4

* Fri Nov 27 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Build in new environment

* Thu Oct  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- data file for 0.60.0.
- 2.3.

* Sat Jun  3 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 2.1
- rename .spec file to avoid confusion with wmconfig

* Thu May 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.99.4.

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptations

* Thu Apr 15 1999 Cristian Gafton <gafton@redhat.com>
- patch to configure for cpp
- patches to build without things like amaker already installed
- version 1.99.1

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Mar 12 1999 Cristian Gafton <gafton@redhat.com>
- version 1.7

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- version 1.4
- build for glibc 2.1

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- updated data files for windowmaker 0.20 and above

* Fri Sep 18 1998 Cristian Gafton <gafton@redhat.com>
- packaged for 5.2 to be used with WindowMaker
